cheapmobileproxy

Developer API para sa Mobile Proxy

Ang balanse, produkto, order, proxy, at pagbabago ng IP ay pinoproseso sa REST API. Ang mga aksyon sa console ay maaaring gawin sa iyong tools at scripts.

Default address at authentication

https://cheapmobileproxy.com/api/v1
Authorization: Bearer YOUR_API_KEY

GET/balanceBalanse

Ibinabalik ang available balance sa USD.

curl https://cheapmobileproxy.com/api/v1/balance \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "balance": "125.40", "currency": "USD" }

GET/productsProducts at Presyo

Ibinabalik ang mga bansa na available per product, duration at presyo ng bawat proxy, at GB price ng rotating mobile proxies.

curl https://cheapmobileproxy.com/api/v1/products \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "currency": "USD", "products": [ { "id": "dedicated", "unit": "proxy", "countries": [ { "country": "us", "periods": [ { "period": "1m", "days": 30, "price": "83.40" } ] } ] }, { "id": "rotating", "unit": "gb", "price_per_gb": "3.59" } ] }

POST/ordersBumili

Bumili gamit ang balanse. Para sa fixed mobile, ipadala ang product, country, period, quantity(1~100); para sa rotating mobile, ipadala ang product, gb(1~1000), country(optional, default any).

curl -X POST https://cheapmobileproxy.com/api/v1/orders \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "product": "dedicated", "country": "us", "period": "1m", "quantity": 2 }'
{ "ok": true, "order": "P-7K2M-Q9XD-4HTA", "charged": "166.80", "balance": "58.60" }

GET/ordersListahan ng Order

Ibinabalik ang order code, product, country, period, quantity, amount, status, at expiration date.

curl https://cheapmobileproxy.com/api/v1/orders \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "orders": [ { "code": "P-7K2M-Q9XD-4HTA", "product": "dedicated", "country": "us", "period": "1m", "quantity": 2, "status": "ACTIVE" } ] }

GET/proxiesListahan ng proxy

Ibinabalik ang host, HTTP/SOCKS5 port, username, password, current IP, at IP change link ng proxy na ginagamit mo.

curl https://cheapmobileproxy.com/api/v1/proxies \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "proxies": [ { "id": "pxk3m9q2wt7a", "country": "us", "host": "198.51.100.24", "http_port": 20418, "socks5_port": 30418, "username": "cmpk3m9q2wt", "password": "...", "ip": "203.0.113.57", "ip_change_url": "https://cheapmobileproxy.com/api/rotate/..." } ] }

POST/proxies/{id}/rotatePalitan ng IP

Makakuha ng bagong IP para sa Fixed Mobile Proxy. Pwede hanggang 10 segundo bawat proxy.

curl -X POST https://cheapmobileproxy.com/api/v1/proxies/pxk3m9q2wt7a/rotate \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "ip": "203.0.113.91", "changed_at": "2026-10-23T09:30:00.000Z" }

Error response

HTTPcodeKahulugan
401authWalang API key o hindi wasto ang API key
402balanceKulang ang balanse (walang bawas sa pera)
400bad_country, bad_period, bad_qty, bad_gbHindi tugma ang request value sa produkto (hindi mababawasan ang pera)
429rate, too_fast300 beses bawat minuto, ang IP change ay hanggang 10 segundo bawat beses.
503networkNetwork error, pakisubukan ulit mamaya (hindi mababawasan ang iyong pera)

Gumawa ng API Key

Kapag na-reflect na ang first top-up sa balance, gumawa ng API key sa API screen ng console. Isama ang key sa bawat request, at palitan ng bagong key sa console kung kinakailangan.

Mga pwedeng gawin

  • Tingnan ang balanse
  • Tingnan ang listahan ng products, bansa, duration, at presyo
  • Pag-order at Pag-check ng Order Status
  • Tingnan ang aking proxy list at connection details
  • Pagpalit ng IP ng Fixed Line (hanggang 10 segundo)

Order at Payment

Ang mga API order ay binabayaran din mula sa parehong balance tulad ng console. Ang mga fixed line ay maaaring i-order mula 1 hanggang 100 pcs nang sabay-sabay, habang ang rotating mobile proxy ay maaaring i-order kada GB.